Skip to main content
Channel / Quote / Defaults

Create a new channel quote default

Create a new channel default. This method requires the ChannelQuoteDefaults:Create permission to be associated with your role.

POST
/qt/channel/defaults
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd

Body

application/json

JSON payload

channel_idstringdefault:0required

Channel id

Example: 100001
contract_pay_cycle_from_quote_flagenum<string>default:no
Available options: yes, no
finance_budget_term_deferred_flagenum<string>default:no
Available options: yes, no
novated_commission_ratenumberdefault:0

Novated commision rate

Example: 0.2222
novated_management_feenumberdefault:0

Novated management fees

Example: 25
operating_management_feenumberdefault:0

Operating management fees

Example: 10
periods_deferredintegerdefault:0
Required range: 0 <= x <= 99
report_finance_payments_flagenum<string>default:no
Available options: yes, no
supplier_id_financierstringdefault:0

Financier

Example: 100000

Response

application/vnd.catch-e-api.v1+json

Success

channel_default_idstring

Channel default id

Example: 100000
channel_idstring

Channel id

Example: 100001
contract_pay_cycle_from_quote_flagenum<string>
Available options: yes, no
Example: no
finance_budget_term_deferred_flagenum<string>
Available options: yes, no
Example: no
novated_commission_ratenumber

Novated commision rate

Example: 0.22
novated_management_feenumber

Novated management fees

Example: 25
operating_management_feenumber

Operating management fees

Example: 10
periods_deferredinteger
Required range: 0 <= x <= 99
Example: 0
report_finance_payments_flagenum<string>
Available options: yes, no
Example: no
supplier_id_financierstring

Financier

Example: 100000